For PlatformsOperate your integration

Manage accounts

Retrieve a merchant's Chargeflow account by ID with the GET accounts endpoint, including path parameters and example request and response.

After onboarding merchants, use this endpoint to retrieve a single Chargeflow account by its ID.

Get account by ID

Retrieve details for a single merchant account.

GET /public/2025-04-01/accounts/{accountId}

Path parameters

ParameterDescription
accountIdThe Chargeflow account ID (id from the create response).

Example request

Terminal
curl "https://api.chargeflow.io/public/2025-04-01/accounts/66e6ea9ecd94925a9f8060d9" \
  -H "x-api-key: YOUR_PLATFORM_API_KEY"

Example response

Response
{
  "id": "66e6ea9ecd94925a9f8060d9",
  "ext_account_id": "your_internal_id_123",
  "created_at": "2025-01-15T09:00:00Z",
  "owner_name": "Jane Smith",
  "business_name": "Acme Store",
  "business_url": "https://acme.com",
  "email": "jane@acme.com",
  "status": "active",
  "enrichments": null
}

Next steps

Was this page helpful?

On this page